# class ScriptCode | Script parsed code. More...
Contains pure virtuals
Full name | `TelEngine::ScriptCode`
Definition | `#include <libs/yscript/yatescript.h>`
Inherits | TelEngine::RefObject [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- virtual bool initialize (ScriptContext* context) const
- virtual bool evaluate (ScriptRun& runner, ObjList& results) const
- virtual ScriptRun* createRunner (ScriptContext* context, const char* title = 0)

## Detailed Description

Preparsed script code fragment ready to be executed

bool initialize (ScriptContext* context) | ### initialize

[const pure virtual]

Context initializer for language specific globals

Parameters:

context | Pointer to the context to initialize

Returns: True if context was properly populated with globals

bool evaluate (ScriptRun& runner, ObjList& results) | ### evaluate

[const pure virtual]

Evaluation of a single code expression

Parameters:

runner | Reference to the runtime to use in evaluation
results | List to fill with expression results

ScriptRun* createRunner (ScriptContext* context, const char* title = 0) | ### createRunner

[virtual]

Create a runner adequate for this block of parsed code

Parameters:

context | Script context, must not be NULL
title | An optional name for the runner

Returns: A new script runner, NULL if context is NULL or feature is not supported

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.